Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.SVD.Type

class slepc4py.SLEPc.SVD.Type

  Bases: `object`

  SVD types.

  - `CROSS`: Eigenproblem with the cross-product matrix.

  - `CYCLIC`: Eigenproblem with the cyclic matrix.

  - `LAPACK`: Wrappers to dense SVD solvers in Lapack.

  - `LANCZOS`: Lanczos.

  - `TRLANCZOS`: Thick-restart Lanczos.

  - `RANDOMIZED`: Iterative RSVD for low-rank matrices.

  Wrappers to external SVD solvers (should be enabled during installation of SLEPc)

  - `SCALAPACK`:

  - `KSVD`:

  - `ELEMENTAL`:

  - `PRIMME`:

  Attributes Summary

  `CROSS` | Object `CROSS` of type `str`
  `CYCLIC` | Object `CYCLIC` of type `str`
  `ELEMENTAL` | Object `ELEMENTAL` of type `str`
  `KSVD` | Object `KSVD` of type `str`
  `LANCZOS` | Object `LANCZOS` of type `str`
  `LAPACK` | Object `LAPACK` of type `str`
  `PRIMME` | Object `PRIMME` of type `str`
  `RANDOMIZED` | Object `RANDOMIZED` of type `str`
  `SCALAPACK` | Object `SCALAPACK` of type `str`
  `TRLANCZOS` | Object `TRLANCZOS` of type `str`

  Attributes Documentation

  CROSS: str = CROSS

    Object `CROSS` of type `str`

  CYCLIC: str = CYCLIC

    Object `CYCLIC` of type `str`

  ELEMENTAL: str = ELEMENTAL

    Object `ELEMENTAL` of type `str`

  KSVD: str = KSVD

    Object `KSVD` of type `str`

  LANCZOS: str = LANCZOS

    Object `LANCZOS` of type `str`

  LAPACK: str = LAPACK

    Object `LAPACK` of type `str`

  PRIMME: str = PRIMME

    Object `PRIMME` of type `str`

  RANDOMIZED: str = RANDOMIZED

    Object `RANDOMIZED` of type `str`

  SCALAPACK: str = SCALAPACK

    Object `SCALAPACK` of type `str`

  TRLANCZOS: str = TRLANCZOS

    Object `TRLANCZOS` of type `str`